com.avaya.ccs.api.enums

## Enum RemoteParticipantState

- java.lang.Object
- - java.lang.Enum<RemoteParticipantState>
  - - com.avaya.ccs.api.enums.RemoteParticipantState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RemoteParticipantState>

      public enum RemoteParticipantState
      extends java.lang.Enum<RemoteParticipantState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Alerting` Indicates that an interaction is alerting at the identified `RemoteParticipantI`
    `Established` Indicates that an interaction is established at the identified `RemoteParticipantI`
    `Failed` Indicates that an interaction failed to reach the identified `RemoteParticipantI`
    `Offered` Indicates that an interaction is offered at the identified `RemoteParticipantI`
    `Unknown`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RemoteParticipantState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RemoteParticipantState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Alerting

          public static final RemoteParticipantState Alerting

      Indicates that an interaction is alerting at the identified `RemoteParticipantI`

    - #### Established

          public static final RemoteParticipantState Established

      Indicates that an interaction is established at the identified `RemoteParticipantI`

    - #### Failed

          public static final RemoteParticipantState Failed

      Indicates that an interaction failed to reach the identified `RemoteParticipantI`

    - #### Offered

          public static final RemoteParticipantState Offered

      Indicates that an interaction is offered at the identified `RemoteParticipantI`

    - #### Unknown

          public static final RemoteParticipantState Unknown

  - ### Method Detail

    - #### values

          public static RemoteParticipantState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RemoteParticipantState c : RemoteParticipantState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RemoteParticipantState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null